# Maintainer: GiacoLenzo2109 <GiacoLenzo2109@gmail.com>

pkgname=croco-kde-settings
pkgver=20210917
pkgrel=1
_branch='master'
pkgdesc="Croco-OS KDE settings"
arch=('any')
url="https://gitlab.com/croco-os/themes-and-settings/settings/croco-kde-settings"
license=('GPL')
makedepends=('git')
depends=()
source=("git+$url.git")
md5sums=('SKIP')

pkgver() {
  date +%Y%m%d
}

package_croco-kde-settings() {
  pkgdesc="Croco-OS KDE settings"

  cp -r $pkgname/etc $pkgdir/etc
  cp -r $pkgname/usr $pkgdir/usr

  # show wallpapers from other pkgs in Plasma Desktop Settings
  #mkdir -p $pkgdir/usr/share/wallpapers
  #ln -s ../backgrounds $pkgdir/usr/share/wallpapers/croco-wallpapers
}

package_croco-kde-minimal-setting() {
  pkgdesc="Croco-OS KDE minimal settings"

  cp -r $pkgname/etc $pkgdir/etc
  cp -r $pkgname/usr $pkgdir/usr
  cp -f $pkgname/minimal/plasma-org.kde.plasma.desktop-appletsrc $pkgdir/etc/skel/.config/plasma-org.kde.plasma.desktop-appletsrc
}
